Delete Certificate Operation - Delete Certificate Operation
Deletes the creation operation for a specific certificate.
Deletes the creation operation for a specified certificate that is in the process of being created. The certificate is no longer created. This operation requires the certificates/update permission.
DELETE {vaultBaseUrl}/certificates/{certificate-name}/pending?api-version=2025-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
certificate-name
|
path | True |
string |
The name of the certificate. |
|
vault
|
path | True |
string (uri) |
|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://vault.azure.net/.default |
Examples
DeleteCertificateOperation
Sample request
DELETE https://myvault.vault.azure.net//certificates/deletedRequestedCert01/pending?api-version=2025-07-01
Sample response
{
"id": "https://myvault.vault.azure.net/certificates/deletedRequestedCert01/pending",
"issuer": {
"name": "issuer03"
},
"csr": "MIIC4zCCAcsCAQAwGjEYMBYGA1UEAwwPKi5taWNyb3NvZnQuY29tMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEApf+kGcL+5uivj/ToYbQ15zcx3caEnpzXaX2eJgL0/Kwaz4u2/bNJ9+hoXnlOFFbCp4canVoNvgu8fw5NOu9U3gJNFQwjHeAqfsg8okZGkIk0riIpp4MMb/4GQb2y3B28AcTu2FANdzLoZzBqmQs51KBe1RONkdtqDYXIvnb5G+9+P7PCy5G//Ga0JAP6Y6P8+TrE9JLEj6Sny0ljLMpMyt4rIRAtNfKYSeiWVQmYX4jZfImIW3iq91zwMsRlrzTm80mNfHPCv7V/8NmYuh0MQgCr49lLbbKCgzDyo9h8sblVQvR5TAylpIk7bSQNf4tSdVNHnsF6CJWu6Pg31hyMpQIDAQABoIGDMIGABgkqhkiG9w0BCQ4xczBxMA4GA1UdDwEB/wQEAwIFoDAdBgNVHSUEFjAUBggrBgEFBQcDAQYIKwYBBQUHAwIwNQYDVR0RBC4wLIIWb25lZHJpdmUubWljcm9zb2Z0LmNvbYISeGJveC5taWNyb3NvZnQuY29tMAkGA1UdEwQCMAAwDQYJKoZIhvcNAQELBQADggEBAHVjmYFs3FmecaJ1ExhK1WCFJaQJUTVbPJ1xJ93UJlLivhzI1yhQO9nMC2DKV+E+UCxceqjae6OG5LUhXfYAziS0HTc80+ZcUqrZRb5ZRt+8HU0TPbTDDqjj8wMZ4VlgQ3eXGAGesMfZV3AqWwa5itofvqm8KAmL4Yn/XMSHcKfRx3h9WnC6RXgZ8WNYK+r5o+gHlmuF7/AaNFh8UjIsjjOZQ0Yin/vA4yBEYTt1/OC7pScs3bdL9CIf4rC98qaMSf4B2W/vfrXUo0gGPYcep25jy7xnIltSY80Trn3Mty5YQ0IT+KPQcJKhbryGg6bIy4jJDwS7zkn51MR1q3kNoOA=",
"cancellation_requested": false,
"status": "inProgress",
"status_details": "Pending certificate created. Certificate request is in progress. This may take some time based on the issuer provider. Please check again later.",
"request_id": "b88791e33d9c4d609d3e3cc3d2d40d11"
}
Definitions
| Name | Description |
|---|---|
|
Certificate |
A certificate operation is returned in case of asynchronous requests. |
| Error | |
|
Issuer |
Parameters for the issuer of the X509 component of a certificate. |
|
Key |
The key vault error exception. |
CertificateOperation
A certificate operation is returned in case of asynchronous requests.
| Name | Type | Description |
|---|---|---|
| cancellation_requested |
boolean |
Indicates if cancellation was requested on the certificate operation. |
| csr |
string (byte) |
The certificate signing request (CSR) that is being used in the certificate operation. |
| error |
Error encountered, if any, during the certificate operation. |
|
| id |
string |
The certificate id. |
| issuer |
Parameters for the issuer of the X509 component of a certificate. |
|
| preserveCertOrder |
boolean |
Specifies whether the certificate chain preserves its original order. The default value is false, which sets the leaf certificate at index 0. |
| request_id |
string |
Identifier for the certificate operation. |
| status |
string |
Status of the certificate operation. |
| status_details |
string |
The status details of the certificate operation. |
| target |
string |
Location which contains the result of the certificate operation. |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| innererror |
The key vault server error. |
|
| message |
string |
The error message. |
IssuerParameters
Parameters for the issuer of the X509 component of a certificate.
| Name | Type | Description |
|---|---|---|
| cert_transparency |
boolean |
Indicates if the certificates generated under this policy should be published to certificate transparency logs. |
| cty |
string |
Certificate type as supported by the provider (optional); for example 'OV-SSL', 'EV-SSL' |
| name |
string |
Name of the referenced issuer object or reserved names; for example, 'Self' or 'Unknown'. |
KeyVaultError
The key vault error exception.
| Name | Type | Description |
|---|---|---|
| error |
The key vault server error. |